# 使用 VSCode + PlantUML 绘制 UML

> UML 是软件开发过程中常用的描述语言，一般我们会使用 Visio 作为绘制工具，但 Visio 的所见即所得方式拖拽操作方式，往往影响针对需求的思路，所以，使用语义化的命令方式编写 UML 的 PlantUML 更接近代码编写的思路，更便于针对需求的分析处理

## 安装流程

> 我们的开发环境基本为 Windows，所以，安装步骤以 Windows 为基础，其他系统请自行搜索安装方式；

1. 安装 VSCode，从[官方网站](https://code.visualstudio.com/)下载稳定版的安装包，按照安装引导完成 VSCode 的安装；
2. 安装 Java，注意，要配置 JAVA_HOME 系统变量
3. 安装 Graphviz，可以从[官方网站](http://graphviz.org/download/)下载，也可以从[百度云盘](https://pan.baidu.com/s/1r7AMbI6rMnPhYROIIZdvpQ)```提取码：qq2h```获取
4. 将 Graphviz 安装目录下\bin （如：C:\Program Files (x86)\Graphviz2.38\bin）配置到 path 变量中
5. 在 VSCode 安装 PlantUML 插件，使用快捷键```ctrl + shift + x```打开插件管理器，输入 plantuml，安装查找到的插件，安装完成后，重新启动 VSCode

执行完以上步骤，我们就可以在 VSCode 中编写 UML 了

## 快速开始

首先在 VSCode 中创建一个文件，uml.puml，然后将以下代码复制到文件中，然后使用快捷键```alt + d```生成 UML 图

```
@startuml

Bob -> Alice : Hello, how are you
Alice -> Bob : Fine, thank you, and you?

@enduml
```

